package com.chenyang.nse.bussiness.entity.vo.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;

public class TCoreKeyCcoreSdfParameterVO extends TInitEntity {
   private String cphpwd;
   private String ecccipherbits;
   private String ecccipherx;
   private String eccciphery;
   private String ecccipherm;
   private String ecccipherc;
   private String ecccipherl;

   public String getCphpwd() {
      return this.cphpwd;
   }

   public String getEcccipherbits() {
      return this.ecccipherbits;
   }

   public String getEcccipherx() {
      return this.ecccipherx;
   }

   public String getEccciphery() {
      return this.eccciphery;
   }

   public String getEcccipherm() {
      return this.ecccipherm;
   }

   public String getEcccipherc() {
      return this.ecccipherc;
   }

   public String getEcccipherl() {
      return this.ecccipherl;
   }

   public void setCphpwd(final String cphpwd) {
      this.cphpwd = cphpwd;
   }

   public void setEcccipherbits(final String ecccipherbits) {
      this.ecccipherbits = ecccipherbits;
   }

   public void setEcccipherx(final String ecccipherx) {
      this.ecccipherx = ecccipherx;
   }

   public void setEccciphery(final String eccciphery) {
      this.eccciphery = eccciphery;
   }

   public void setEcccipherm(final String ecccipherm) {
      this.ecccipherm = ecccipherm;
   }

   public void setEcccipherc(final String ecccipherc) {
      this.ecccipherc = ecccipherc;
   }

   public void setEcccipherl(final String ecccipherl) {
      this.ecccipherl = ecccipherl;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeyCcoreSdfParameterVO)) {
         return false;
      } else {
         TCoreKeyCcoreSdfParameterVO other = (TCoreKeyCcoreSdfParameterVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$cphpwd = this.getCphpwd();
            Object other$cphpwd = other.getCphpwd();
            if (this$cphpwd == null) {
               if (other$cphpwd != null) {
                  return false;
               }
            } else if (!this$cphpwd.equals(other$cphpwd)) {
               return false;
            }

            Object this$ecccipherbits = this.getEcccipherbits();
            Object other$ecccipherbits = other.getEcccipherbits();
            if (this$ecccipherbits == null) {
               if (other$ecccipherbits != null) {
                  return false;
               }
            } else if (!this$ecccipherbits.equals(other$ecccipherbits)) {
               return false;
            }

            Object this$ecccipherx = this.getEcccipherx();
            Object other$ecccipherx = other.getEcccipherx();
            if (this$ecccipherx == null) {
               if (other$ecccipherx != null) {
                  return false;
               }
            } else if (!this$ecccipherx.equals(other$ecccipherx)) {
               return false;
            }

            Object this$eccciphery = this.getEccciphery();
            Object other$eccciphery = other.getEccciphery();
            if (this$eccciphery == null) {
               if (other$eccciphery != null) {
                  return false;
               }
            } else if (!this$eccciphery.equals(other$eccciphery)) {
               return false;
            }

            Object this$ecccipherm = this.getEcccipherm();
            Object other$ecccipherm = other.getEcccipherm();
            if (this$ecccipherm == null) {
               if (other$ecccipherm != null) {
                  return false;
               }
            } else if (!this$ecccipherm.equals(other$ecccipherm)) {
               return false;
            }

            Object this$ecccipherc = this.getEcccipherc();
            Object other$ecccipherc = other.getEcccipherc();
            if (this$ecccipherc == null) {
               if (other$ecccipherc != null) {
                  return false;
               }
            } else if (!this$ecccipherc.equals(other$ecccipherc)) {
               return false;
            }

            Object this$ecccipherl = this.getEcccipherl();
            Object other$ecccipherl = other.getEcccipherl();
            if (this$ecccipherl == null) {
               if (other$ecccipherl != null) {
                  return false;
               }
            } else if (!this$ecccipherl.equals(other$ecccipherl)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeyCcoreSdfParameterVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $cphpwd = this.getCphpwd();
      result = result * 59 + ($cphpwd == null ? 43 : $cphpwd.hashCode());
      Object $ecccipherbits = this.getEcccipherbits();
      result = result * 59 + ($ecccipherbits == null ? 43 : $ecccipherbits.hashCode());
      Object $ecccipherx = this.getEcccipherx();
      result = result * 59 + ($ecccipherx == null ? 43 : $ecccipherx.hashCode());
      Object $eccciphery = this.getEccciphery();
      result = result * 59 + ($eccciphery == null ? 43 : $eccciphery.hashCode());
      Object $ecccipherm = this.getEcccipherm();
      result = result * 59 + ($ecccipherm == null ? 43 : $ecccipherm.hashCode());
      Object $ecccipherc = this.getEcccipherc();
      result = result * 59 + ($ecccipherc == null ? 43 : $ecccipherc.hashCode());
      Object $ecccipherl = this.getEcccipherl();
      result = result * 59 + ($ecccipherl == null ? 43 : $ecccipherl.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeyCcoreSdfParameterVO(cphpwd=" + this.getCphpwd() + ", ecccipherbits=" + this.getEcccipherbits() + ", ecccipherx=" + this.getEcccipherx() + ", eccciphery=" + this.getEccciphery() + ", ecccipherm=" + this.getEcccipherm() + ", ecccipherc=" + this.getEcccipherc() + ", ecccipherl=" + this.getEcccipherl() + ")";
   }
}
